Subject: Re: [PATCH] send-email: move validation code below process_address_list

From: Junio C Hamano <[email-masked]>
Date: Tue, 24 Oct 2023 15:03:17 -0700

Junio C Hamano <[email-masked]> writes:

> Michael Strawbridge <[email-masked]> writes:
>
>> Subject: [PATCH] send-email: move validation code below process_address_list
>>
>> Move validation logic below processing of email address lists so that
>> email validation gets the proper email addresses.
>
> Hmph, without this patch, the tip of 'seen' passes t9001 on my box,
> but with it, it claims that it failed 58, 87, and 89.

FWIW, when this patch is used with 'master' (not 'seen'), t9001
claims the same three tests failed.  The way #58 fails seems to be
identical to the way 'seen' with this patch failed, shown in the
message I am responding to.